#include <malloc.h>
#include <stdio.h>

#define HOOK_OF(fn, a, b) \
void *((*__##fn##_hook) (a, b))

#define HOOK3_OF(fn, a, b, c) \
void *((*__##fn##_hook)(a, b, c))

HOOK_OF(malloc, size_t, const void*) = NULL;
HOOK_OF(free, void *, const void*) = NULL;
HOOK3_OF(realloc, void *, size_t, const void*) = NULL;
HOOK3_OF(memalign, size_t, size_t, const void*) = NULL;
