#define _XOPEN_SOURCE 700
#include <math.h>
#include <float.h>

#ifdef finitel
#undef finitel
#endif
int finitel(long double x)
{
	return isfinite(x);
}

int __finitel(long double x)
{
	return isfinite(x);
}

int __isinf(double x)
{
	return isinf(x);
}

int isinfl(long double x)
{
	return isinf(x);
}

int __isinfl(long double x)
{
	return isinf(x);
}
int __isnan(double x)
{
	return isnan(x);
}
int isnanl(long double x)
{
	return isnan(x);
}

long double scalbl(long double x, long double exp)
{
	if (isnan(x) || isnan(exp))
		return NAN;
	return x * powl(FLT_RADIX, exp);
}
